Subject: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: martin rudalics <[email-masked]>
Date: Fri, 26 Oct 2018 09:41:02 +0200

>> The most simple way to find out is to define such a list in window.c
 >> and have 'set-window-prev-buffers' holler if the prev_buffers argument
 >> is equal to that list.
 >
 > I can't find out how '(nil nil nil)' gets into the prev-buffers,

Did you try what I proposed?  If that doesn't catch it, I have no
idea.  IIUC mark_discard_killed_buffers just removes entries from that
list, it cannot introduce any nil valued elements.

 > so to avoid the error, I propose to install this patch:

Well this will just cache the underlying problem.  But I have no good
idea how to investigate this issue any furher, so install if you like.

martin